Bug 1240779 - knemo doesn't appear at system settings, and doesn't start automatically
Summary: knemo doesn't appear at system settings, and doesn't start automatically
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: knemo
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-07 17:45 UTC by Fdor
Modified: 2018-06-24 22:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 15:14:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Fdor 2015-07-07 17:45:54 UTC
I have upgraded fedora 20 to fedora 22, so kde 4 has been upgraded to kde 5. After the upgrade, I see that knemo doesn't appear at "kde system settings" (systemsettings5). Perhaps it is because knemo is compiled with kde 4 libraries, and probably systemsettings5 is compiled with kde 5 libraries. Could knemo be compiled with kde 5 libraries, in order to appear at systemsettings5?

Since I couldn't setup knemo at systemsettings5, I launched the "knemo" command manually in a shell, then the knemo icon appeared at systray as usual, and I configured it to be launched automatically at kde start (with a right click on the icon, and then click on "Setup knemo"). To test it, I logged out and logged in, but knemo wasn't launched automatically. What is the reason? Perhaps the same reason (the use of kde 4 libs)?

As a quick fix, I have added knemo to:

    systemsettings5 > Start and shut down > Autostart > Add program

so now it is launched automatically at kde start. Anyway I think the autostart option at knemo config should be fixed.

My versions are:
    knemo-0.7.6-3.fc22.i686
    plasma-systemsettings-5.3.2-1.fc22.i686

Thank you

Comment 1 nucleo 2015-07-17 21:30:22 UTC
(In reply to Fdor from comment #0)
> I have upgraded fedora 20 to fedora 22, so kde 4 has been upgraded to kde 5.
> After the upgrade, I see that knemo doesn't appear at "kde system settings"
> (systemsettings5). Perhaps it is because knemo is compiled with kde 4
> libraries, and probably systemsettings5 is compiled with kde 5 libraries.
> Could knemo be compiled with kde 5 libraries, in order to appear at
> systemsettings5?


Work on porting knemo to KF5 started, so maybe it can be compiled for plasma 5 soon 
http://quickgit.kde.org/?p=knemo.git&a=shortlog&h=512b01426381ca39fad6c784f09009f4e8746638

Comment 2 Fdor 2015-07-20 16:19:53 UTC
(In reply to nucleo from comment #1)
> 
> Work on porting knemo to KF5 started, so maybe it can be compiled for plasma
> 5 soon 
> http://quickgit.kde.org/?p=knemo.
> git&a=shortlog&h=512b01426381ca39fad6c784f09009f4e8746638

Thank you for the info. I see in your link that the port is in progress.

I have to add that knemo (0.7.6) is working perfectly for me in kde 5 (thanks to the trick I did to launch it automatically at the startup). I think that the missing config at systemsettings5 is secondary, since the user can search for (and run) knemo from kde start menu. The main point is to fix the autostart config at knemo config, since my quick fix is a bit tricky for the standard user. 

So I would suggest, even before porting knemo to kde 5, to fix the autostart config first. I mean, perhaps it is possible that the kde 4 version of knemo could detect that it is running on kde 5 and then setup the autostart in a way that works in kde 5. From the point of view of the user, it is transparent whether knemo is compiled for kde 4 or for kde 5. The important thing is that the program works. And it works. The only missing point is the autostart config, that perhaps could be fixed without having to port the whole application to kde 5.

I mean that, if the full port takes some months, and the fix of the autostart takes some days, perhaps the second point could be prioritized.

Thank you

Comment 3 Fedora End Of Life 2016-07-19 15:14:59 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 nucleo 2018-06-23 20:58:36 UTC
KF5 frameworks git snapshot built for Rawhide.

Comment 5 Fedora Update System 2018-06-24 00:13:49 UTC
knemo-0.7.7-8.20170520git.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-22628764e3

Comment 6 Fedora Update System 2018-06-24 00:14:30 UTC
knemo-0.7.7-8.20170520git.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4c4288bb3

Comment 7 Fedora Update System 2018-06-24 20:50:51 UTC
knemo-0.7.7-8.20170520git.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4c4288bb3

Comment 8 Fedora Update System 2018-06-24 22:12:21 UTC
knemo-0.7.7-8.20170520git.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-22628764e3


Note You need to log in before you can comment on or make changes to this bug.